% 
% This file shows how the data in  matches.m was built.
% 
% WARNING : Some commands are specific to the local directory tree or call
% local functions, and thus are not portable.

% Get the cardboard box
run data/dataset/long_range/cardboard/matches.m
cardboard = u0 ;
lc = size(cardboard,2) ;

% Get the box
run data/dataset/long_range/box/matches.m    
box = u0 ;
lb = size(box,2) ;

% Get the calibration grid.
run data/dataset/long_range/grid/matches.m   
grid = u0 ;

% The grid      (points  1 to 48) is visible in all frames, 
% The box       (points 49 to 63) is visible frames 1-10,
% The cardboard (points 64 to 78) is visible frames 1-3,5-12

% My software considers that a pixel coordinate of 9999 is unobserved.
u0 = [  grid(:,:) ,...
     [ box(:,:); 9999*ones(4,length(ibox)) ],...
     [ cardboard(1:6,:); 9999*ones(2,lc); cardboard(7:20,:); 9999*ones(2,lc) ]]; 

% Normalize (non-portable! my code)
u = normalize_u(u0) ;
N = size(u,1)/2 ;
P = size(u,2) ;

% A little comment
comment = 'A coordinate value of 9999 denotes a missing observation' ;         

% 
% Save the 'matches.m' file.
% 
% Non-portable! my dir structure
any2m('data/dataset/long_range/all/matches',comment,N,P,imsz,u0,u) ; 

